package com.Ekyc.ekyc2022.objectdetection

import android.graphics.Bitmap
import org.opencv.core.Point
import com.Ekyc.ekyc2022.global.Constants

class IdCardInfo(val bitmap: Bitmap) {
    var cardCorners: ArrayList<Point> = ArrayList()
    var emblem: Point? = null
    var fingerprintPoints: ArrayList<Point> = ArrayList()
    var hasEnoughInfo = false
    var type: String? = null

    fun checkHasEnoughInfo(): Boolean {
        if (cardCorners.size == Constants.CARD_CORNER_COUNT && emblem != null && !type.isNullOrEmpty()) {
            hasEnoughInfo = true
        }
        return hasEnoughInfo
    }
}